#include <iostream>
#include <algorithm>
#include <cstdio>
#include <cstdlib>
#include <string.h>
#include <math.h>

using namespace std;

int months[] = {31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31};
int monthsx[] = {31, 29, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31};


int main(void) 
{
	char inp[21];
	while (cin.getline(inp, 100))
	{
		if (strcmp(inp, "end") == 0) 
		{
			return 0;
		}
		
		int a, b;
		
		if (strlen(inp) != 10 && strlen(inp) != 11)
		{
			printf("invalid\n");
			continue;
		}
		
		
		char tmp[21];
		if (sscanf(inp, "%d/%d%s", &a, &b, tmp) == 3)
		{
			printf("invalid\n");
			continue;
		}
		
		if (sscanf(inp, "%d/%d", &a, &b) != 2)
		{
			printf("invalid\n");
			continue;
		}
		
		if (a < 0 || a > 999999)
		{
			printf("invalid\n");
			continue;
		}
		
		if (b < 0 || b > 9999)
		{
			printf("invalid\n");
			continue;
		}

		char c1,c2,c3,c4,c5,c6;
		sscanf(inp, "%c%c%c%c%c%c", &c1, &c2, &c3, &c4, &c5, &c6);
			
		int year = a/10000;
		int month = (a - year*10000) / 100;
		int day = (a - year*10000 - month*100) ;

		
		bool b53 = true;
		
		if (year > 9 && year < 54)
		{
			if (b >= 1000) b53 = false;
			if (strlen(inp) != 10)
			{
				printf("invalid\n");
				continue;
			}
		}
		
		bool div11 = true;
		long whole = a * 10000 +b;
		ldiv_t xxx = ldiv(whole, 11) ;
		cout << a << b << " mod = "  << xxx.rem << endl;
		
		if (year >= 54)
		{
			//if (((a % 11)*(10000 % 11)+(b % 11)) % 11 != 0) div11 = false;
			///if ((((a % 11)*10000) + b) % 11 != 0)  div11= false;
			//if (fmod(a * 10000 + b, 11) != 0) div11 = false;
			if (xxx.rem != 0) div11 = false;
		}
		
		///printf("y %d m %d d %d a %d b %d whole %d mod %d \n", year, month, day, a, b);
		
		bool bmonth = true;
		
		int mmonth = month;
		if (month > 50) mmonth -= 50;
		
		if (year == 00 || year % 4 == 0)
		{
			if (day > monthsx[mmonth-1]) bmonth = false;
		} else {
			if (day > months[mmonth-1]) bmonth = false;
		}
		
		if (
			(b >= 0 && b < 10000) &&
			(year >= 0 && year < 100) &&
			(!(year >= 10 && year <= 19)) &&
			((month > 0 && month < 13) || (month > 50 && month < 63)) &&
			(day > 0 && day < 32) &&
			(b53) && 
			(bmonth) &&
			(div11)
		) 
		{ 
			if (month > 50) printf("girl\n");
			else printf("boy\n");
		}
		else 
		{
			printf("invalid\n");
			continue;
		}
	}
	
	return 0;
}
